# FIREBASE PUSH NOTIFICATION

INTRODUCTION
------------

Provides a simple way to connect with Google Firebase Notifications.

Not all possible Firebase parameters are acceptable yet.
The common ones are implemented.

* title
* body
* data
* icon
* sound
* click_action

INSTALLATION
------------

Install as usual, see
 <https://www.drupal.org/docs/8/extending-drupal-8/installing-drupal-8-modules>
 for more information.

CONFIGURATION
-------------

The module has a simple configuration screen, where you provide Server Key and
Firebase's endpoint.

* In order to send the push notification:

```php
// Token is generated by app. You'll have to send the token to Drupal.
$fakeToken = 'e3vUiwcvkpY:APA91bEDZzKTIkaL0e-UTwiV6EGi1m5J5PrDMxejm6-d85vdwAgd';
\Drupal::service('firebase.notification')->send($fakeToken, [
  'title' => 'Title goes here',
  'body' => 'Body goes here',
  'data' => [
    'score' => '3x1',
    'date' => '2017-10-10',
    'optinal' => 'Data is used to send silent pushes. Otherwise, optinal.',
  ],
  'icon' => 'optional-icon',
  'sound' => 'optional-sound',
  'click_action' => 'optional-action',
  'badge' => 1,
]);
```

* Token is generated by the app. Read
  <https://firebase.google.com/docs/auth/admin/verify-id-tokens>
  for more information.

MAINTAINERS
-----------

Current maintainers:

* Leonardo Paccanaro - https://www.drupal.org/user/1901878
